@import "solidify-frontend/lib/application/components/routables/abstract-resource/abstract-resource.routable";
@import "src/sass/abstracts/abstracts";

:host {
  flex: 1;
  display: grid;
  grid-gap: 20px;
  grid-template-columns: 300px 1fr;
  @include content();

  @include respond-to-smaller-than-breakpoint('md') {
    grid-template-columns: 1fr;
  }

  .right-part {
    .toolbar-content {
      display: grid;
      grid-template-columns: minmax(0, 400px) max-content;
      grid-gap: 10px;
      align-items: center;

      @include respond-to-smaller-than-breakpoint('sm') {
        grid-template-rows: min-content min-content;
        grid-template-columns: 1fr;
      }

      .search-bar {
        &::ng-deep {
          .mat-mdc-form-field {
            .mat-mdc-text-field-wrapper {
              padding-right: 0;
              padding-bottom: 5px;
            }

            .mat-mdc-form-field-icon-suffix {
              margin-right: 0;
              top: 6px;
            }

            .mat-mdc-form-field-subscript-wrapper {
              display: none;
            }
          }
        }
      }

      .toolbar-right-part {
        display: grid;
        grid-template-columns: max-content min-content max-content max-content;
        grid-gap: 10px;
        align-items: center;

        .result-matching {
          font-weight: bold;
          color: $light-grey;

          .number-result {
            color: $primary-color;
          }
        }

        .icon-help {
          color: $primary-color;
          cursor: pointer;
        }

        .display-mode {
          display: grid;
          grid-template-columns: 1fr 1fr;
          grid-gap: 10px;

          .icon {
            cursor: pointer;

            &.is-active {
              cursor: initial;
              color: $primary-color;
            }
          }
        }

      }
    }

    .wrapper {

      .tile-view {
        .paginator-container {
          display: flex;
          justify-content: flex-end;
        }

        .tiles-container {
          display: grid;
          grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
          grid-gap: 20px;
        }
      }

      .no-result-container {
        min-height: 200px;
        display: flex;
        justify-content: center;
        align-items: center;

        .text-icon {
          display: flex;
          flex-direction: column;
          align-items: center;

          .icon {
            color: $light-grey;
          }

          .text {
            padding-top: 20px;
            font-size: 16px;
            color: $light-grey;
            font-weight: bold;
          }
        }
      }
    }
  }
}
